RASGETPAL(1NCARG)

NAME
rasgetpal - extract the color palette of a rasterfile and write it to standard output

SYNOPSIS
rasgetpal [-Version] srcfile [dstfile]

DESCRIPTION

Given srcfile and no dstfile, rasgetpal will extract the color palette from srcfile and print it in textual form to standard output. Given srcfile and dstfile, rasgetpal will extract the color palette from srcfile and save it in file dstfile. If the extension of dstfile is ".txt", the color palette is saved in textual form. If it is ".pal", the palette is saved in a binary HDF-compatible format.

Once you have a ".pal" color palette you can use it with NCSA's XImage or any other application that uses this format of color palette. A textual color palette can be edited using a standard text editor and then fed back to ctrans, rasview, or rascat in order to get a modified color palette. It's also useful when you simply want to know what's in your color palette. See "man ras_palette" for more information on these different formats.

OPTIONS

-help
    Print help information.

-Version
    Print the version number.

EXAMPLE

Let's suppose you have an X Window Dump rasterfile called window.xwd and you'd like to get a textual copy of the color palette.

% rasgetpal window.xwd window.txt
% vi window.txt /* edit the color table */
% rasview -pal window.txt window.xwd

You could also use the command below to get the same palette file:

% rasgetpal window.xwd >window.txt

Now suppose you'd like to get an HDF-compatible binary palette from "window.xwd":

% rasgetpal window.xwd new.pal

CAVEATS
A color map can be extracted from indexed rasterfiles but not from direct-color rasterfiles.

SEE ALSO

rasview(1NCARG), rascat(1NCARG), rasls(1NCARG), rassplit(1NCARG), ras_formats(5NCARG), ras_palette(5NCARG)

Hardcopy: NCAR Graphics Fundamentals, UNIX Version

COPYRIGHT
Copyright (C) 1987-2009
University Corporation for Atmospheric Research

The use of this Software is governed by a License Agreement.